Subject: Save money and look posh!

From: " Ccamp-archive" <[email-masked] >
Date: Tue, 10 Jul 2007 17:16:48 +0200

Be on time with one of our luxury replica timepieces – and save money!
Check out our top-quality replicas – we’ve got the lowest prices on the Web!
People go crazy over chronometers by these brands – time for you to own one!
http://stflu.com